package cn.estsh.i3plus.pojo.base.enumutil;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description : 模块枚举类
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-12-25 21:08
 * @Modify:
 **/
public class BlockEnumUtil {


    /**
     * 报表元素枚举
     * WORDS(1,"文字"),PIC(2,"图片"),REPORT(3,"报表");
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum REPORT_ELEMENT_TYPE{

        WORDS(1,"文字"),PIC(2,"图片"),REPORT(3,"报表");

        private int value;
        private String description;

        REPORT_ELEMENT_TYPE() {
        }

        REPORT_ELEMENT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

    }
}
